<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (13) on Fri May 08 00:07:05 EEST 2020 -->
<title>Serialized Form</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-08">
<meta name="description" content="serialized forms">
<meta name="generator" content="javadoc/SerializedFormWriterImpl">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.js"></script>
</head>
<body class="serialized-form">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<section class="serializedPackageContainer">
<h2 title="Package">Package&nbsp;bussiness</h2>
<ul class="blockList">
<li class="blockList">
<section class="serializedClassDetails"><a id="bussiness.BaseProduct">
<!--   -->
</a>
<h3>Class <a href="bussiness/BaseProduct.html" title="class in bussiness">bussiness.BaseProduct</a> extends <a href="bussiness/MenuItem.html" title="class in bussiness">MenuItem</a> implements Serializable</h3>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="bussiness.CompositeProduct">
<!--   -->
</a>
<h3>Class <a href="bussiness/CompositeProduct.html" title="class in bussiness">bussiness.CompositeProduct</a> extends <a href="bussiness/MenuItem.html" title="class in bussiness">MenuItem</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>compositeProduct</h5>
<pre>java.util.ArrayList&lt;<a href="bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&gt; compositeProduct</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="bussiness.MenuItem">
<!--   -->
</a>
<h3>Class <a href="bussiness/MenuItem.html" title="class in bussiness">bussiness.MenuItem</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>name</h5>
<pre>java.lang.String name</pre>
</li>
<li class="blockList">
<h5>price</h5>
<pre>float price</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="bussiness.Order">
<!--   -->
</a>
<h3>Class <a href="bussiness/Order.html" title="class in bussiness">bussiness.Order</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>idOrder</h5>
<pre>int idOrder</pre>
</li>
<li class="blockList">
<h5>orderDate</h5>
<pre>java.lang.String orderDate</pre>
</li>
<li class="blockList">
<h5>tableNr</h5>
<pre>int tableNr</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="bussiness.Restaurant">
<!--   -->
</a>
<h3>Class <a href="bussiness/Restaurant.html" title="class in bussiness">bussiness.Restaurant</a> extends java.util.Observable implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>compositeItem</h5>
<pre>java.util.ArrayList&lt;<a href="bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&gt; compositeItem</pre>
</li>
<li class="blockList">
<h5>compositeName</h5>
<pre>java.lang.String compositeName</pre>
</li>
<li class="blockList">
<h5>mapOrderMenu</h5>
<pre>java.util.Map&lt;<a href="bussiness/Order.html" title="class in bussiness">Order</a>,&#8203;java.util.Collection&lt;<a href="bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&gt; mapOrderMenu</pre>
</li>
<li class="blockList">
<h5>menu</h5>
<pre>java.util.ArrayList&lt;<a href="bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&gt; menu</pre>
</li>
<li class="blockList">
<h5>orderList</h5>
<pre>java.util.ArrayList&lt;<a href="bussiness/Order.html" title="class in bussiness">Order</a>&gt; orderList</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedPackageContainer">
<h2 title="Package">Package&nbsp;data</h2>
<ul class="blockList">
<li class="blockList">
<section class="serializedClassDetails"><a id="data.RestaurantSerializator">
<!--   -->
</a>
<h3>Class <a href="data/RestaurantSerializator.html" title="class in data">data.RestaurantSerializator</a> extends java.lang.Object implements Serializable</h3>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedPackageContainer">
<h2 title="Package">Package&nbsp;presentation</h2>
<ul class="blockList">
<li class="blockList">
<section class="serializedClassDetails"><a id="presentation.AdminGUI">
<!--   -->
</a>
<h3>Class <a href="presentation/AdminGUI.html" title="class in presentation">presentation.AdminGUI</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>backButton</h5>
<pre>javax.swing.JButton backButton</pre>
</li>
<li class="blockList">
<h5>compositeItemGUI</h5>
<pre><a href="presentation/CompositeItemGUI.html" title="class in presentation">CompositeItemGUI</a> compositeItemGUI</pre>
</li>
<li class="blockList">
<h5>createItemButton</h5>
<pre>javax.swing.JButton createItemButton</pre>
</li>
<li class="blockList">
<h5>deleteItemButton</h5>
<pre>javax.swing.JButton deleteItemButton</pre>
</li>
<li class="blockList">
<h5>editItemButton</h5>
<pre>javax.swing.JButton editItemButton</pre>
</li>
<li class="blockList">
<h5>itemNameField</h5>
<pre>javax.swing.JTextField itemNameField</pre>
</li>
<li class="blockList">
<h5>itemNameLabel</h5>
<pre>javax.swing.JLabel itemNameLabel</pre>
</li>
<li class="blockList">
<h5>itemPriceField</h5>
<pre>javax.swing.JTextField itemPriceField</pre>
</li>
<li class="blockList">
<h5>itemPriceLabel</h5>
<pre>javax.swing.JLabel itemPriceLabel</pre>
</li>
<li class="blockList">
<h5>restaurant</h5>
<pre><a href="bussiness/Restaurant.html" title="class in bussiness">Restaurant</a> restaurant</pre>
</li>
<li class="blockList">
<h5>showItemsButton</h5>
<pre>javax.swing.JButton showItemsButton</pre>
</li>
<li class="blockList">
<h5>titleLabel</h5>
<pre>javax.swing.JLabel titleLabel</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="presentation.ChefGUI">
<!--   -->
</a>
<h3>Class <a href="presentation/ChefGUI.html" title="class in presentation">presentation.ChefGUI</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>restaurant</h5>
<pre><a href="bussiness/Restaurant.html" title="class in bussiness">Restaurant</a> restaurant</pre>
</li>
<li class="blockList">
<h5>titleGuiLabel</h5>
<pre>javax.swing.JLabel titleGuiLabel</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="presentation.CompositeItemGUI">
<!--   -->
</a>
<h3>Class <a href="presentation/CompositeItemGUI.html" title="class in presentation">presentation.CompositeItemGUI</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>addedItems</h5>
<pre>javax.swing.JTextArea addedItems</pre>
</li>
<li class="blockList">
<h5>addedLabel</h5>
<pre>javax.swing.JLabel addedLabel</pre>
</li>
<li class="blockList">
<h5>addItemButton</h5>
<pre>javax.swing.JButton addItemButton</pre>
</li>
<li class="blockList">
<h5>compositeItem</h5>
<pre>java.util.ArrayList&lt;<a href="bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&gt; compositeItem</pre>
</li>
<li class="blockList">
<h5>finishItemButton</h5>
<pre>javax.swing.JButton finishItemButton</pre>
</li>
<li class="blockList">
<h5>menuBox</h5>
<pre>javax.swing.JComboBox&lt;<a href="bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&gt; menuBox</pre>
</li>
<li class="blockList">
<h5>restaurant</h5>
<pre><a href="bussiness/Restaurant.html" title="class in bussiness">Restaurant</a> restaurant</pre>
</li>
<li class="blockList">
<h5>titleLabel</h5>
<pre>javax.swing.JLabel titleLabel</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="presentation.WaiterGUI">
<!--   -->
</a>
<h3>Class <a href="presentation/WaiterGUI.html" title="class in presentation">presentation.WaiterGUI</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>addMenuItemButton</h5>
<pre>javax.swing.JButton addMenuItemButton</pre>
</li>
<li class="blockList">
<h5>backButton</h5>
<pre>javax.swing.JButton backButton</pre>
</li>
<li class="blockList">
<h5>chefGUI</h5>
<pre><a href="presentation/ChefGUI.html" title="class in presentation">ChefGUI</a> chefGUI</pre>
</li>
<li class="blockList">
<h5>chosenItems</h5>
<pre>javax.swing.JTextArea chosenItems</pre>
</li>
<li class="blockList">
<h5>chosenItemsLabel</h5>
<pre>javax.swing.JLabel chosenItemsLabel</pre>
</li>
<li class="blockList">
<h5>createOrderButton</h5>
<pre>javax.swing.JButton createOrderButton</pre>
</li>
<li class="blockList">
<h5>fillMenuButton</h5>
<pre>javax.swing.JButton fillMenuButton</pre>
</li>
<li class="blockList">
<h5>generateBillButton</h5>
<pre>javax.swing.JButton generateBillButton</pre>
</li>
<li class="blockList">
<h5>menu</h5>
<pre>javax.swing.JComboBox&lt;<a href="bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&gt; menu</pre>
</li>
<li class="blockList">
<h5>orderDateField</h5>
<pre>javax.swing.JTextField orderDateField</pre>
</li>
<li class="blockList">
<h5>orderDateLabel</h5>
<pre>javax.swing.JLabel orderDateLabel</pre>
</li>
<li class="blockList">
<h5>orderedItems</h5>
<pre>java.util.ArrayList&lt;<a href="bussiness/MenuItem.html" title="class in bussiness">MenuItem</a>&gt; orderedItems</pre>
</li>
<li class="blockList">
<h5>orderIDField</h5>
<pre>javax.swing.JTextField orderIDField</pre>
</li>
<li class="blockList">
<h5>orderIDLabel</h5>
<pre>javax.swing.JLabel orderIDLabel</pre>
</li>
<li class="blockList">
<h5>orderList</h5>
<pre>java.util.ArrayList&lt;<a href="bussiness/Order.html" title="class in bussiness">Order</a>&gt; orderList</pre>
</li>
<li class="blockList">
<h5>orderTableField</h5>
<pre>javax.swing.JTextField orderTableField</pre>
</li>
<li class="blockList">
<h5>orderTableLabel</h5>
<pre>javax.swing.JLabel orderTableLabel</pre>
</li>
<li class="blockList">
<h5>restaurant</h5>
<pre><a href="bussiness/Restaurant.html" title="class in bussiness">Restaurant</a> restaurant</pre>
</li>
<li class="blockList">
<h5>showOrdersButton</h5>
<pre>javax.swing.JButton showOrdersButton</pre>
</li>
<li class="blockList">
<h5>titleLabel</h5>
<pre>javax.swing.JLabel titleLabel</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
